#include <bits/stdc++.h>

using namespace std;

int BrojPonavljanja(int a[], int n, int k)
{
    int sum = 0;
    for(int i = 0; i < n; i++)
    {
        if (a[i] == a[i+k])
        {
            sum++;
            int premestanje = 0;
            i += k;

            int j = 0;
            while(a[i] == a[i+j])
            {
                premestanje++;
                j++;
            }

            i += premestanje - 1;
        }
    }
    return sum;
}

void PogodjenaPolja(int a[], int n, int k)
{
    for(int i = 0; i < n; i++)
    {
        if (a[i] == a[i+k])
        {
            cout << a[i] << " ";
            int premestanje = 0;
            i += k;

            int j = 0;
            while(a[i] == a[i+j])
            {
                premestanje++;
                j++;
            }

            i += premestanje - 1;
        }
    }
}

int main()
{
    int n, k;
    cin >> n >> k;
    k--;
    int a[n];

    for(int i = 0; i < n; i++)
        cin >> a[i];

    sort (a, a+n);

    cout << BrojPonavljanja(a, n, k) << endl;

    PogodjenaPolja(a, n, k);

    return 0;
}